Flood risk
The PropEco Flood Risk API can be used to retrieve a variety of information relating to the flood risk of a specific property or geographical location in Great Britain.
You can access, test and subscribe to the API at www.propeco.io/api.
GET /flood-risk
📄❓ See Code Samples (page bottom) for an example request.
Retrieves flood risk information about a specific property or location in Great Britain, identified by a UPRN, latitude & longitude, or X & Y grid position.
Query Parameters
uprn string Optional*
The UPRN (Unique Property Reference Number) of the property.
x_coord float Optional*
The X coordinate of the property or location in the BNG / EPSG:27700 coordinate system.
y_coord float Optional*
The Y coordinate of the property or location in the BNG / EPSG:27700 coordinate system.
latitude float Optional*
The latitude of the property or location in the WGS84 / EPSG:4326 coordinate system.
longitude float Optional*
The longitude of the property or location in the WGS84 / EPSG:4326 coordinate system.
*One of the following must be provided:
- An
x_coord&y_coordpair. - A
latitude&longitudepair. - A UPRN.
Response
The API response includes details of the location searched and the relevant flood risk assessments and supporting information.
Location
"location": {
"uprn": 34076006,
"x_coord": 526131,
"y_coord": 176355,
"latitude": 51.47211,
"longitude": -0.1853445
}
The response includes the location used for the flood risk assessment, including its UPRN (where available), British National Grid coordinates and latitude & longitude.
England
"england": {
"rivers_and_seas": {
"in_flood_risk_zone": false,
"annual_flood_risk": 0,
"nearest_flood_risk_zone": null,
"highest_risk_flood_zone_within_50m": null
},
"rivers_and_seas_climate_change": {
"in_flood_risk_zone": false,
"annual_flood_risk": 0,
"flood_risk_description": null,
"nearest_flood_risk_zone": {
"max_annual_flood_risk": 0.001,
"min_annual_flood_risk": null,
"flood_risk_description": "Very low",
"distance": 992.9229577363996,
"nearest_point": {
"x_coord": 537202,
"y_coord": 183530,
"latitude": 51.534012342152536,
"longitude": -0.023251731383053267
}
},
"highest_risk_flood_zone_within_50m": null
},
"surface_water": {
"in_flood_risk_zone": false,
"annual_flood_risk": 0,
"flood_risk_description": null,
"nearest_flood_risk_zone": {
"max_annual_flood_risk": 0.01,
"min_annual_flood_risk": 0.001,
"flood_risk_description": "Low",
"distance": 15.231546211727817,
"nearest_point": {
"x_coord": 536494,
"y_coord": 182826,
"latitude": 51.52785739764722,
"longitude": -0.03372569996851333
}
},
"highest_risk_flood_zone_within_50m": {
"max_annual_flood_risk": null,
"min_annual_flood_risk": 0.033,
"flood_risk_description": "High",
"distance": 38.47076812334269,
"nearest_point": {
"x_coord": 536454,
"y_coord": 182858,
"latitude": 51.52815460422816,
"longitude": -0.03428957577387116
}
}
},
"surface_water_climate_change": {
"in_flood_risk_zone": false,
"annual_flood_risk": 0,
"flood_risk_description": null,
"nearest_flood_risk_zone": {
"max_annual_flood_risk": 0.01,
"min_annual_flood_risk": 0.001,
"flood_risk_description": "Low",
"distance": 15.231546211727817,
"nearest_point": {
"x_coord": 536494,
"y_coord": 182826,
"latitude": 51.52785739764722,
"longitude": -0.03372569996851333
}
},
"highest_risk_flood_zone_within_50m": {
"max_annual_flood_risk": null,
"min_annual_flood_risk": 0.033,
"flood_risk_description": "High",
"distance": 30.066592756745816,
"nearest_point": {
"x_coord": 536486,
"y_coord": 182870,
"latitude": 51.528254717698566,
"longitude": -0.03382391217215919
}
}
}
},
Rivers and seas: This outlines the current chance of flooding from rivers and the sea, taking account of flood defences and the condition they are in.
Rivers and seas with climate change: This outlines the estimated risk of future flooding from rivers and the sea, given projected climate change.
Surface water: This outlines the current chance of flooding from surface water.
Surface water with climate change: This outlines the estimated risk of future flooding from surface water, given projected climate change.
Assessments utilise the results of the Environment Agency's latest National Flood Risk Assessment (NaFRA) - undertaken using modelling and local expertise - that splits affected areas into 2m x 2m cells and allocates each to one of four flood risk likelihood categories:
- High: each year, there is a chance of flooding of greater than 1 in 30 (3.3%).
- Medium: each year, there is a chance of flooding of between 1 in 30 (3.3%) and 1 in 100 (1%).
- Low: each year, there is a chance of flooding of between 1 in 100 (1%) and 1 in 1000 (0.1%).
- Very Low: each year, there is a chance of flooding of less than 1 in 1000 (0.1%).
Note that in some areas risk assessments are unavailable for climate change scenarios.
You can find out more about the National Flood Risk Assessment here.
Scotland
"scotland": {
"coast": {
"in_flood_risk_zone": false,
"annual_flood_risk": 0,
"flood_risk_description": null,
"nearest_flood_risk_zone": {
"annual_flood_risk": 0.001,
"flood_risk_description": "Low",
"distance": 421.2469221309678,
"nearest_point": {
"x_coord": 326055.0019,
"y_coord": 676052.0011,
"latitude": 55.97174070353001,
"longitude": -3.1863387889073214
}
},
"highest_risk_flood_zone_within_50m": null
},
"rivers": {
"in_flood_risk_zone": false,
"annual_flood_risk": 0,
"flood_risk_description": null,
"nearest_flood_risk_zone": {
"annual_flood_risk": 0.005,
"flood_risk_description": "Medium",
"distance": 350.891721190455,
"nearest_point": {
"x_coord": 325875,
"y_coord": 676070,
"latitude": 55.97187460968184,
"longitude": -3.1892269352515994
}
},
"highest_risk_flood_zone_within_50m": null
},
"surface_water": {
"in_flood_risk_zone": false,
"annual_flood_risk": 0,
"flood_risk_description": null,
"nearest_flood_risk_zone": {
"annual_flood_risk": 0.005,
"flood_risk_description": "Medium",
"distance": 2,
"nearest_point": {
"x_coord": 325850,
"y_coord": 676418,
"latitude": 55.9749966485802,
"longitude": -3.1897233049269134
}
},
"highest_risk_flood_zone_within_50m": {
"annual_flood_risk": 0.005,
"flood_risk_description": "Medium",
"distance": 2,
"nearest_point": {
"x_coord": 325850,
"y_coord": 676418,
"latitude": 55.9749966485802,
"longitude": -3.1897233049269134
}
}
},
"coast_climate_change": {
"in_flood_risk_zone": false,
"annual_flood_risk": 0,
"flood_risk_description": null,
"nearest_flood_risk_zone": {
"annual_flood_risk": 0.005,
"flood_risk_description": "Medium",
"distance": 416.4720055475688,
"nearest_point": {
"x_coord": 326045.0019,
"y_coord": 676052.0011,
"latitude": 55.97173916261456,
"longitude": -3.186498964399756
}
},
"highest_risk_flood_zone_within_50m": null
},
"rivers_climate_change": {
"in_flood_risk_zone": false,
"annual_flood_risk": 0,
"flood_risk_description": null,
"nearest_flood_risk_zone": {
"annual_flood_risk": 0.005,
"flood_risk_description": "Medium",
"distance": 350.5709628591621,
"nearest_point": {
"x_coord": 325870,
"y_coord": 676070,
"latitude": 55.971873837366886,
"longitude": -3.1893070231881766
}
},
"highest_risk_flood_zone_within_50m": null
},
"surface_water_climate_change": {
"in_flood_risk_zone": false,
"annual_flood_risk": 0,
"flood_risk_description": null,
"nearest_flood_risk_zone": {
"annual_flood_risk": 0.005,
"flood_risk_description": "Medium",
"distance": 2,
"nearest_point": {
"x_coord": 325850,
"y_coord": 676418,
"latitude": 55.9749966485802,
"longitude": -3.1897233049269134
}
},
"highest_risk_flood_zone_within_50m": {
"annual_flood_risk": 0.005,
"flood_risk_description": "Medium",
"distance": 2,
"nearest_point": {
"x_coord": 325850,
"y_coord": 676418,
"latitude": 55.9749966485802,
"longitude": -3.1897233049269134
}
}
}
},
The API utilises the latest flood risk assessments provided by the Scottish Environment Protection Agency (SEPA). These identify locations at risk from coastal, river and / or surface water flooding and categorise at-risk locations according to their likelihood of flooding:
- High: Each year this area has a 10% chance of flooding.
- Medium: Each year this area has a 0.5% chance of flooding.
- Low: Each year this area has a 0.1% chance of flooding.
Both present day and future (given climate change) assessments are provided for each source of flooding.
Note that SEPA's Future Flood Maps model the Medium likelihood (0.5% annual probability / 1-in-200-year) flood event under a specified future climate scenario. It should not be interpreted as a complete estimate of the property's future annual flood probability.
You can find out more about the underlying data here.
Wales
"wales": {
"coast": {
"in_flood_risk_zone": false,
"annual_flood_risk": 0,
"flood_risk_description": null,
"nearest_flood_risk_zone": {
"max_annual_flood_risk": 0.01,
"min_annual_flood_risk": 0.001,
"flood_risk_description": "Low",
"distance": 26.245704515367727,
"nearest_point": {
"x_coord": 317563.999999993,
"y_coord": 173205.999999667,
"latitude": 51.451813266893716,
"longitude": -3.1877535171885167
}
},
"highest_risk_flood_zone_within_50m": {
"max_annual_flood_risk": null,
"min_annual_flood_risk": 0.033,
"flood_risk_description": "High",
"distance": 40.64033743325234,
"nearest_point": {
"x_coord": 317531.599999993,
"y_coord": 173174.879999667,
"latitude": 51.451528788200136,
"longitude": -3.188212433602248
}
}
},
"rivers": {
"in_flood_risk_zone": false,
"annual_flood_risk": 0,
"flood_risk_description": null,
"nearest_flood_risk_zone": {
"max_annual_flood_risk": 0.01,
"min_annual_flood_risk": 0.001,
"flood_risk_description": "Low",
"distance": 62.777570827507915,
"nearest_point": {
"x_coord": 317555.339999993,
"y_coord": 173154.104099667,
"latitude": 51.451345479126445,
"longitude": -3.1878660137358787
}
},
"highest_risk_flood_zone_within_50m": null
},
"surface_water": {
"in_flood_risk_zone": false,
"annual_flood_risk": 0,
"flood_risk_description": null,
"nearest_flood_risk_zone": {
"max_annual_flood_risk": 0.01,
"min_annual_flood_risk": 0.001,
"flood_risk_description": "Low",
"distance": 61.45695244687919,
"nearest_point": {
"x_coord": 317477.999999993,
"y_coord": 173209.999999666,
"latitude": 51.45183669105948,
"longitude": -3.188991835789119
}
},
"highest_risk_flood_zone_within_50m": null
}
},
The API utilises the latest flood risk assessments provided by Natural Resources Wales (NRW). These identify locations at risk from coastal, river and surface water flooding. At-risk areas are categorised according to their likelihood of flooding:
For rivers, surface water and small watercourses:
- High: each year, an area has a chance of flooding of greater than 1 in 30 (3.3%).
- Medium: each year, an area has a chance of flooding of between 1 in 100 (1%) and 1 in 30 (3.3%).
- Low: each year, an area has a chance of flooding of between 1 in 1000 (0.1%) and 1 in 100 (1%).
For the sea:
- High: each year, an area has a chance of flooding of greater than 1 in 30 (3.3%).
- Medium: each year, an area has a chance of flooding of between 1 in 200 (0.5%) and 1 in 30 (3.3%).
- Low: each year, an area has a chance of flooding of between 1 in 1000 (0.1%) and 1 in 200 (0.5%).
You can find out more about the underlying data here.
General features
For each type of flooding, the API provides details of the nearest flood risk zone. Where the location being searched is within a flood risk zone, the distance is returned as 0. Otherwise, the nearest flood risk zone is returned where one is found within the relevant search radius (1km for rivers and seas, and 100m for surface water). If none is found within this radius, nearest_flood_risk_zone is returned as null.
annual_flood_risk is provided as a representative annual flood probability associated with the applicable risk category. This value represents a category threshold rather than a precise property-level probability; depending on the category, the actual probability may be above or below the value shown.
In addition, the API provides details of the highest risk flood zone within a 50m radius of the point being searched for. If none are found, this will be returned as null.
Note that the approach to assigning risk descriptions (such as 'High' or 'Low') differs between the flood risk datasets covering England, Wales and Scotland. The API presents these as they are used in the underlying datasets.
Note also that flood modelling is inherently uncertain and so the assessments provided should be treated as indicative.
Nearest Coastal Point
"nearest_coastal_point": {
"distance": 30724.878493703334,
"azimuth_degrees": 90.49706750391849,
"x_coord": 556854.722267165,
"y_coord": 176088.450749494,
"latitude": 51.462038937084245,
"longitude": 0.25656558408344476
},
The nearest coastal point is provided, as well as the distance to it and its direction from the property or location being searched for.
Elevation
"elevation": {
"elevation_upper": 3.38,
"elevation_lower": -1.74,
"elevation_estimate": 1.4138392905671728,
"distance_from_upper": 264.82580663159666,
"distance_from_lower": 424.7964218305467,
"azimuth_ascending_degrees": 109.46256560940512,
"azimuth_descending_degrees": 56.639128942775336,
"is_above_high_tide_line": false
},
The API provides the elevation (height above sea level) for the property or location being searched for. This searches against topographic data provided by Ordnance Survey and provides the elevation of the closest contour lines, an estimate of the elevation of the property or location itself, and an indication of whether this is above the high tide line.
Protected by flood defence
"flood_defences": {
"protected_by_flood_defence": false,
"nearest_location_protected_by_flood_defence": {
"distance": 382.4983660095818,
"nearest_point": {
"azimuth_degrees": 246.58505158076701,
"x_coord": 201950,
"y_coord": 47250,
"latitude": 50.29187318341807,
"longitude": -4.7818535222010805
}
}
}
The API assesses whether or not the property or location being searched for benefits from an existing flood defence. If not, the API returns details of the closest point (within a 1km radius) that benefits from a flood defence.
Flood defence data is currently available for England and Wales. No equivalent dataset is currently included for Scotland. For locations in Scotland, an empty result therefore does not indicate that a location does not rely on flood defences. Defended areas in England may still be returned where they fall within the search radius of the supplied location.
Evidence of historical flooding
"recorded_flood_events": {
"in_flood_event_boundary": false,
"events": [
{
"distance": 314.6337477679326,
"name": "CW9345 - Pentewan",
"start_date": "2014-02-04T00:00:00.000Z",
"end_date": "2014-02-04T00:00:00.000Z",
"flood_source": "sea",
"flood_cause": "overtopping of defences",
"nearest_point": {
"azimuth_degrees": 205.79132477338786,
"x_coord": 202164.1045,
"y_coord": 47118.7085999995,
"latitude": 50.29076566692928,
"longitude": -4.778782651364053
}
},
{
"distance": 314.6337477679326,
"name": "CW9366 - Pentewan",
"start_date": "2014-02-05T00:00:00.000Z",
"end_date": "2014-02-05T00:00:00.000Z",
"flood_source": "sea",
"flood_cause": "overtopping of defences",
"nearest_point": {
"azimuth_degrees": 205.79132477338786,
"x_coord": 202164.1045,
"y_coord": 47118.7085999995,
"latitude": 50.29076566692928,
"longitude": -4.778782651364053
}
},
{
"distance": 322.784148929302,
"name": "CW8189 - Pentewan",
"start_date": "1997-11-26T00:00:00.000Z",
"end_date": "1997-11-26T00:00:00.000Z",
"flood_source": "main river",
"flood_cause": "unknown",
"nearest_point": {
"azimuth_degrees": 276.0606641077585,
"x_coord": 201980.02,
"y_coord": 47436.0800000001,
"latitude": 50.2935547697785,
"longitude": -4.781530106296368
}
},
{
"distance": 327.2058025156578,
"name": "CW8438 - Pentewan",
"start_date": "2004-10-27T00:00:00.000Z",
"end_date": "2004-10-27T00:00:00.000Z",
"flood_source": "sea",
"flood_cause": "channel capacity exceeded (no raised defences)",
"nearest_point": {
"azimuth_degrees": 261.55737741114615,
"x_coord": 201977.34,
"y_coord": 47353.9600000009,
"latitude": 50.29281620732957,
"longitude": -4.781524648051942
}
},
{
"distance": 328.9317649604983,
"name": "CW9021 - Pentewan",
"start_date": "2010-11-17T00:00:00.000Z",
"end_date": "2010-11-17T00:00:00.000Z",
"flood_source": "main river",
"flood_cause": "channel capacity exceeded (no raised defences)",
"nearest_point": {
"azimuth_degrees": 261.20033509965765,
"x_coord": 201975.94,
"y_coord": 47351.6799999997,
"latitude": 50.29279525670251,
"longitude": -4.781543084048426
}
},
{
"distance": 331.9336997052324,
"name": "CW8111 - Pentewan",
"start_date": "1975-01-20T00:00:00.000Z",
"end_date": "1975-01-20T00:00:00.000Z",
"flood_source": "main river",
"flood_cause": "channel capacity exceeded (no raised defences)",
"nearest_point": {
"azimuth_degrees": 260.9153818272929,
"x_coord": 201973.23,
"y_coord": 47349.5899999999,
"latitude": 50.2927755730269,
"longitude": -4.78157998849822
}
},
{
"distance": 369.0453395110705,
"name": "CW9345 - Pentewan",
"start_date": "2014-02-03T00:00:00.000Z",
"end_date": "2014-02-03T00:00:00.000Z",
"flood_source": "sea",
"flood_cause": "overtopping of defences",
"nearest_point": {
"azimuth_degrees": 221.71471074403337,
"x_coord": 202055.4291,
"y_coord": 47126.5197000001,
"latitude": 50.29079937746715,
"longitude": -4.780310533496136
}
},
{
"distance": 687.6380328340831,
"name": "CW8382 - Pentewan",
"start_date": "1997-11-26T00:00:00.000Z",
"end_date": "1997-11-27T00:00:00.000Z",
"flood_source": "main river",
"flood_cause": "other",
"nearest_point": {
"azimuth_degrees": 273.9434377346509,
"x_coord": 201614.99,
"y_coord": 47449.2899999991,
"latitude": 50.29355078199276,
"longitude": -4.786655591299232
}
}
]
}
}
The API checks historical flood records to assess whether there is a history of flooding at the property or location being searched for. If not, the API returns details of the closest points (up to 10, within a 1km radius) that have previously been affected by flooding.
Recorded flood event data is currently available for England and Wales. No equivalent dataset is currently included for Scotland. For locations in Scotland, an empty result therefore does not indicate that no historical flooding has occurred. Events from England may still be returned where they fall within the search radius of the supplied location.
Code Samples
Request
With UPRN
curl \
-X GET \
--header "x-api-key: <API KEY>" \
https://api.propeco.io/flood-risk?uprn=UPRN
const results = await fetch(`https://api.propeco.io/flood-risk?uprn=${UPRN}`, {
headers: {
"x-api-key": API_KEY
},
});
const data = await results.json();
With latitude & longitude
curl \
-X GET \
--header "x-api-key: <API KEY>" \
https://api.propeco.io/flood-risk?latitude=LATITUDE&longitude=LONGITUDE
const results = await fetch(`https://api.propeco.io/flood-risk?latitude=${latitude}&longitude=${longitude}`, {
headers: {
"x-api-key": API_KEY
},
});
const data = await results.json();
With x_coord & y_coord
curl \
-X GET \
--header "x-api-key: <API KEY>" \
https://api.propeco.io/flood-risk?x_coord=X_COORD&y_coord=Y_COORD
const results = await fetch(`https://api.propeco.io/flood-risk?x_coord=${x_coord}&y_coord=${y_coord}`, {
headers: {
"x-api-key": API_KEY
},
});
const data = await results.json();
Response
{
"location": {
"uprn": 34076006,
"x_coord": 526131,
"y_coord": 176355,
"latitude": 51.47211,
"longitude": -0.1853445
},
"england": {
"rivers_and_seas": {
"in_flood_risk_zone": true,
"annual_flood_risk": 0.001,
"flood_risk_description": "Very low",
"nearest_flood_risk_zone": {
"max_annual_flood_risk": 0.001,
"min_annual_flood_risk": null,
"flood_risk_description": "Very low",
"distance": 0,
"nearest_point": null
},
"highest_risk_flood_zone_within_50m": {
"max_annual_flood_risk": 0.001,
"min_annual_flood_risk": null,
"flood_risk_description": "Very low",
"distance": 0,
"nearest_point": null
}
},
"rivers_and_seas_climate_change": {
"in_flood_risk_zone": true,
"annual_flood_risk": 0.001,
"flood_risk_description": "Very low",
"nearest_flood_risk_zone": {
"max_annual_flood_risk": 0.001,
"min_annual_flood_risk": null,
"flood_risk_description": "Very low",
"distance": 0,
"nearest_point": null
},
"highest_risk_flood_zone_within_50m": {
"max_annual_flood_risk": 0.001,
"min_annual_flood_risk": null,
"flood_risk_description": "Very low",
"distance": 0,
"nearest_point": null
}
},
"surface_water": {
"in_flood_risk_zone": true,
"annual_flood_risk": 0.01,
"flood_risk_description": "Low",
"nearest_flood_risk_zone": {
"max_annual_flood_risk": 0.01,
"min_annual_flood_risk": 0.001,
"flood_risk_description": "Low",
"distance": 0,
"nearest_point": null
},
"highest_risk_flood_zone_within_50m": {
"max_annual_flood_risk": null,
"min_annual_flood_risk": 0.033,
"flood_risk_description": "High",
"distance": 15.811388300841896,
"nearest_point": {
"x_coord": 526140,
"y_coord": 176368,
"latitude": 51.47222477748521,
"longitude": -0.1852105747949554
}
}
},
"surface_water_climate_change": {
"in_flood_risk_zone": true,
"annual_flood_risk": 0.01,
"flood_risk_description": "Low",
"nearest_flood_risk_zone": {
"max_annual_flood_risk": 0.01,
"min_annual_flood_risk": 0.001,
"flood_risk_description": "Low",
"distance": 0,
"nearest_point": null
},
"highest_risk_flood_zone_within_50m": {
"max_annual_flood_risk": null,
"min_annual_flood_risk": 0.033,
"flood_risk_description": "High",
"distance": 3,
"nearest_point": {
"x_coord": 526134,
"y_coord": 176355,
"latitude": 51.472109281004265,
"longitude": -0.18530155070729198
}
}
}
},
"scotland": null,
"wales": null,
"flood_defences": {
"protected_by_flood_defence": true,
"nearest_location_protected_by_flood_defence": {
"distance": 0,
"nearest_point": null
}
},
"elevation": {
"elevation_upper": 3.38,
"elevation_lower": -1.74,
"elevation_estimate": 1.4138392905671728,
"distance_from_upper": 264.82580663159666,
"distance_from_lower": 424.7964218305467,
"azimuth_ascending_degrees": 109.46256560940512,
"azimuth_descending_degrees": 56.639128942775336,
"is_above_high_tide_line": false
},
"nearest_coastal_point": {
"distance": 30724.878493703334,
"azimuth_degrees": 90.49706750391849,
"x_coord": 556854.722267165,
"y_coord": 176088.450749494,
"latitude": 51.462038937084245,
"longitude": 0.25656558408344476
},
"recorded_flood_events": {
"in_flood_event_boundary": false,
"events": [
{
"distance": 255.3779131003545,
"name": "TTD_FEO_1928",
"start_date": "1928-01-06T00:00:00.000Z",
"end_date": "1928-01-07T00:00:00.000Z",
"flood_source": "main river",
"flood_cause": "overtopping of defences",
"nearest_point": {
"azimuth_degrees": 349.4244475461582,
"x_coord": 526084.13,
"y_coord": 176606.039999999,
"latitude": 51.47437650776978,
"longitude": -0.1859297667472364
}
}
]
}
}
{
"$schema" : "http://json-schema.org/draft-07/schema#",
"definitions" : {
"CoastalPoint" : {
"properties" : {
"azimuth_degrees" : {
"type" : "number"
},
"distance" : {
"type" : "number"
},
"latitude" : {
"type" : "number"
},
"longitude" : {
"type" : "number"
},
"x_coord" : {
"type" : "number"
},
"y_coord" : {
"type" : "number"
}
},
"required" : [
"azimuth_degrees",
"distance",
"latitude",
"longitude",
"x_coord",
"y_coord"
],
"type" : "object"
},
"ElevationInfo" : {
"properties" : {
"azimuth_ascending_degrees" : {
"type" : [
"null",
"number"
]
},
"azimuth_descending_degrees" : {
"type" : "number"
},
"distance_from_lower" : {
"type" : "number"
},
"distance_from_upper" : {
"type" : [
"null",
"number"
]
},
"elevation_estimate" : {
"type" : "number"
},
"elevation_lower" : {
"type" : "number"
},
"elevation_upper" : {
"type" : [
"null",
"number"
]
},
"is_above_high_tide_line" : {
"type" : [
"null",
"boolean"
]
}
},
"required" : [
"azimuth_ascending_degrees",
"azimuth_descending_degrees",
"distance_from_lower",
"distance_from_upper",
"elevation_estimate",
"elevation_lower",
"elevation_upper",
"is_above_high_tide_line"
],
"type" : "object"
},
"EnglandFloodRiskDescription" : {
"enum" : [
"High",
"Low",
"Medium",
"Unavailable",
"Very low"
],
"type" : "string"
},
"EnglandFloodRiskInfo" : {
"description" : "Combined England flood-risk response.",
"properties" : {
"rivers_and_seas" : {
"$ref" : "#/definitions/EnglandFloodRiskResult"
},
"rivers_and_seas_climate_change" : {
"$ref" : "#/definitions/EnglandFloodRiskResult",
"description" : "Parsed England flood-risk result for a single dataset."
},
"surface_water" : {
"$ref" : "#/definitions/EnglandFloodRiskResult",
"description" : "Parsed England flood-risk result for a single dataset."
},
"surface_water_climate_change" : {
"$ref" : "#/definitions/EnglandFloodRiskResult",
"description" : "Parsed England flood-risk result for a single dataset."
}
},
"required" : [
"rivers_and_seas"
],
"type" : "object"
},
"EnglandFloodRiskResult" : {
"description" : "Parsed England flood-risk result for a single dataset.",
"properties" : {
"annual_flood_risk" : {
"type" : [
"null",
"number"
]
},
"flood_risk_coverage" : {
"$ref" : "#/definitions/FloodRiskCoverage",
"description" : "Exclusive flood-risk coverage across the supplied property geometry."
},
"flood_risk_description" : {
"anyOf" : [
{
"enum" : [
"High",
"Low",
"Medium",
"Unavailable",
"Very low"
],
"type" : "string"
},
{
"type" : "null"
}
]
},
"highest_risk_flood_zone_within_50m" : {
"anyOf" : [
{
"$ref" : "#/definitions/EnglandFloodRiskZone"
},
{
"type" : "null"
}
]
},
"highest_risk_flood_zone_within_buffer" : {
"anyOf" : [
{
"$ref" : "#/definitions/FloodRiskBufferResult"
},
{
"type" : "null"
}
]
},
"in_flood_risk_zone" : {
"type" : [
"null",
"boolean"
]
},
"nearest_flood_risk_zone" : {
"anyOf" : [
{
"$ref" : "#/definitions/EnglandFloodRiskZone"
},
{
"type" : "null"
}
]
},
"unavailable_coverage" : {
"$ref" : "#/definitions/FloodRiskUnavailableCoverage"
}
},
"required" : [
"annual_flood_risk",
"highest_risk_flood_zone_within_50m",
"in_flood_risk_zone",
"nearest_flood_risk_zone"
],
"type" : "object"
},
"EnglandFloodRiskZone" : {
"description" : "Parsed England flood-risk zone.",
"properties" : {
"distance" : {
"type" : "number"
},
"flood_risk_description" : {
"$ref" : "#/definitions/EnglandFloodRiskDescription"
},
"max_annual_flood_risk" : {
"type" : [
"null",
"number"
]
},
"min_annual_flood_risk" : {
"type" : [
"null",
"number"
]
},
"nearest_point" : {
"anyOf" : [
{
"$ref" : "#/definitions/FloodRiskNearestPoint"
},
{
"type" : "null"
}
]
}
},
"required" : [
"distance",
"flood_risk_description",
"max_annual_flood_risk",
"min_annual_flood_risk",
"nearest_point"
],
"type" : "object"
},
"FloodDefenceNearestPoint" : {
"properties" : {
"azimuth_degrees" : {
"type" : [
"null",
"number"
]
},
"latitude" : {
"type" : "number"
},
"longitude" : {
"type" : "number"
},
"x_coord" : {
"type" : "number"
},
"y_coord" : {
"type" : "number"
}
},
"required" : [
"azimuth_degrees",
"latitude",
"longitude",
"x_coord",
"y_coord"
],
"type" : "object"
},
"FloodDefenceRiskReductionInfo" : {
"properties" : {
"nearest_location_protected_by_flood_defence" : {
"anyOf" : [
{
"properties" : {
"distance" : {
"type" : "number"
},
"nearest_point" : {
"anyOf" : [
{
"$ref" : "#/definitions/FloodDefenceNearestPoint"
},
{
"type" : "null"
}
]
}
},
"required" : [
"distance",
"nearest_point"
],
"type" : "object"
},
{
"type" : "null"
}
]
},
"protected_by_flood_defence" : {
"type" : "boolean"
}
},
"required" : [
"nearest_location_protected_by_flood_defence",
"protected_by_flood_defence"
],
"type" : "object"
},
"FloodRiskBand" : {
"description" : "Flood risk bands used by the Environment Agency NAFRA2 datasets.",
"enum" : [
"High",
"Low",
"Medium",
"Very low"
],
"type" : "string"
},
"FloodRiskBufferResult" : {
"properties" : {
"distance" : {
"type" : "number"
},
"flood_risk_description" : {
"$ref" : "#/definitions/FloodRiskBand"
}
},
"required" : [
"distance",
"flood_risk_description"
],
"type" : "object"
},
"FloodRiskCoverage" : {
"properties" : {
"high" : {
"$ref" : "#/definitions/FloodRiskCoverageBand"
},
"low" : {
"$ref" : "#/definitions/FloodRiskCoverageBand"
},
"medium" : {
"$ref" : "#/definitions/FloodRiskCoverageBand"
},
"very_low" : {
"$ref" : "#/definitions/FloodRiskCoverageBand"
}
},
"required" : [
"high",
"low",
"medium",
"very_low"
],
"type" : "object"
},
"FloodRiskCoverageBand" : {
"properties" : {
"area" : {
"type" : "number"
},
"proportion" : {
"type" : "number"
}
},
"required" : [
"area",
"proportion"
],
"type" : "object"
},
"FloodRiskLocation" : {
"properties" : {
"latitude" : {
"type" : "number"
},
"longitude" : {
"type" : "number"
},
"uprn" : {
"type" : [
"null",
"number"
]
},
"x_coord" : {
"type" : "number"
},
"y_coord" : {
"type" : "number"
}
},
"required" : [
"latitude",
"longitude",
"uprn",
"x_coord",
"y_coord"
],
"type" : "object"
},
"FloodRiskNearestPoint" : {
"description" : "Location of the nearest point on a flood-risk zone.",
"properties" : {
"latitude" : {
"type" : "number"
},
"longitude" : {
"type" : "number"
},
"x_coord" : {
"type" : "number"
},
"y_coord" : {
"type" : "number"
}
},
"required" : [
"latitude",
"longitude",
"x_coord",
"y_coord"
],
"type" : "object"
},
"FloodRiskUnavailableCoverage" : {
"properties" : {
"area" : {
"type" : "number"
},
"proportion" : {
"type" : "number"
}
},
"required" : [
"area",
"proportion"
],
"type" : "object"
},
"RecordedFloodEvent" : {
"properties" : {
"distance" : {
"type" : "number"
},
"end_date" : {
"anyOf" : [
{
"format" : "date-time",
"type" : "string"
},
{
"type" : [
"null",
"string"
]
}
]
},
"flood_cause" : {
"type" : [
"null",
"string"
]
},
"flood_source" : {
"type" : [
"null",
"string"
]
},
"name" : {
"type" : [
"null",
"string"
]
},
"nearest_point" : {
"anyOf" : [
{
"$ref" : "#/definitions/RecordedFloodEventNearestPoint"
},
{
"type" : "null"
}
]
},
"start_date" : {
"anyOf" : [
{
"format" : "date-time",
"type" : "string"
},
{
"type" : [
"null",
"string"
]
}
]
}
},
"required" : [
"distance",
"end_date",
"flood_cause",
"flood_source",
"name",
"nearest_point",
"start_date"
],
"type" : "object"
},
"RecordedFloodEventNearestPoint" : {
"properties" : {
"azimuth_degrees" : {
"type" : [
"null",
"number"
]
},
"latitude" : {
"type" : "number"
},
"longitude" : {
"type" : "number"
},
"x_coord" : {
"type" : "number"
},
"y_coord" : {
"type" : "number"
}
},
"required" : [
"azimuth_degrees",
"latitude",
"longitude",
"x_coord",
"y_coord"
],
"type" : "object"
},
"RecordedFloodEventsResult" : {
"properties" : {
"events" : {
"items" : {
"$ref" : "#/definitions/RecordedFloodEvent"
},
"type" : "array"
},
"in_flood_event_boundary" : {
"type" : "boolean"
}
},
"required" : [
"events",
"in_flood_event_boundary"
],
"type" : "object"
},
"ScotlandClimateChangeCoverage" : {
"properties" : {
"area" : {
"type" : "number"
},
"proportion" : {
"type" : "number"
},
"scenario" : {
"type" : "string"
}
},
"required" : [
"area",
"proportion",
"scenario"
],
"type" : "object"
},
"ScotlandFloodRiskInfo" : {
"properties" : {
"coast" : {
"anyOf" : [
{
"$ref" : "#/definitions/ScotlandFloodRiskResult"
},
{
"type" : "null"
}
]
},
"coast_climate_change" : {
"anyOf" : [
{
"$ref" : "#/definitions/ScotlandFloodRiskResult"
},
{
"type" : "null"
}
]
},
"rivers" : {
"anyOf" : [
{
"$ref" : "#/definitions/ScotlandFloodRiskResult"
},
{
"type" : "null"
}
]
},
"rivers_climate_change" : {
"anyOf" : [
{
"$ref" : "#/definitions/ScotlandFloodRiskResult"
},
{
"type" : "null"
}
]
},
"surface_water" : {
"anyOf" : [
{
"$ref" : "#/definitions/ScotlandFloodRiskResult"
},
{
"type" : "null"
}
]
},
"surface_water_climate_change" : {
"anyOf" : [
{
"$ref" : "#/definitions/ScotlandFloodRiskResult"
},
{
"type" : "null"
}
]
}
},
"required" : [
"coast",
"rivers"
],
"type" : "object"
},
"ScotlandFloodRiskNearestPoint" : {
"properties" : {
"latitude" : {
"type" : "number"
},
"longitude" : {
"type" : "number"
},
"x_coord" : {
"type" : "number"
},
"y_coord" : {
"type" : "number"
}
},
"required" : [
"latitude",
"longitude",
"x_coord",
"y_coord"
],
"type" : "object"
},
"ScotlandFloodRiskResult" : {
"properties" : {
"annual_flood_risk" : {
"type" : "number"
},
"climate_change_coverage" : {
"$ref" : "#/definitions/ScotlandClimateChangeCoverage"
},
"flood_risk_coverage" : {
"$ref" : "#/definitions/FloodRiskCoverage"
},
"flood_risk_description" : {
"anyOf" : [
{
"enum" : [
"High",
"Low",
"Medium"
],
"type" : "string"
},
{
"type" : "null"
}
]
},
"highest_risk_flood_zone_within_50m" : {
"anyOf" : [
{
"$ref" : "#/definitions/ScotlandFloodRiskZone"
},
{
"type" : "null"
}
]
},
"highest_risk_flood_zone_within_buffer" : {
"anyOf" : [
{
"$ref" : "#/definitions/FloodRiskBufferResult"
},
{
"type" : "null"
}
]
},
"in_flood_risk_zone" : {
"type" : "boolean"
},
"nearest_flood_risk_zone" : {
"anyOf" : [
{
"$ref" : "#/definitions/ScotlandFloodRiskZone"
},
{
"type" : "null"
}
]
}
},
"required" : [
"annual_flood_risk",
"flood_risk_description",
"highest_risk_flood_zone_within_50m",
"in_flood_risk_zone",
"nearest_flood_risk_zone"
],
"type" : "object"
},
"ScotlandFloodRiskZone" : {
"properties" : {
"annual_flood_risk" : {
"type" : [
"null",
"number"
]
},
"distance" : {
"type" : "number"
},
"flood_risk_description" : {
"anyOf" : [
{
"enum" : [
"High",
"Low",
"Medium"
],
"type" : "string"
},
{
"type" : "null"
}
]
},
"nearest_point" : {
"anyOf" : [
{
"$ref" : "#/definitions/ScotlandFloodRiskNearestPoint"
},
{
"type" : "null"
}
]
}
},
"required" : [
"annual_flood_risk",
"distance",
"flood_risk_description",
"nearest_point"
],
"type" : "object"
},
"WalesFloodRiskBand" : {
"enum" : [
"High",
"Low",
"Medium"
],
"type" : "string"
},
"WalesFloodRiskInfo" : {
"properties" : {
"coast" : {
"$ref" : "#/definitions/WalesFloodRiskResult"
},
"rivers" : {
"$ref" : "#/definitions/WalesFloodRiskResult"
},
"surface_water" : {
"$ref" : "#/definitions/WalesFloodRiskResult"
}
},
"required" : [
"coast",
"rivers"
],
"type" : "object"
},
"WalesFloodRiskNearestPoint" : {
"properties" : {
"latitude" : {
"type" : "number"
},
"longitude" : {
"type" : "number"
},
"x_coord" : {
"type" : "number"
},
"y_coord" : {
"type" : "number"
}
},
"required" : [
"latitude",
"longitude",
"x_coord",
"y_coord"
],
"type" : "object"
},
"WalesFloodRiskResult" : {
"properties" : {
"annual_flood_risk" : {
"type" : "number"
},
"flood_risk_coverage" : {
"$ref" : "#/definitions/FloodRiskCoverage"
},
"flood_risk_description" : {
"anyOf" : [
{
"enum" : [
"High",
"Low",
"Medium"
],
"type" : "string"
},
{
"type" : "null"
}
]
},
"highest_risk_flood_zone_within_50m" : {
"anyOf" : [
{
"$ref" : "#/definitions/WalesFloodRiskZone"
},
{
"type" : "null"
}
]
},
"highest_risk_flood_zone_within_buffer" : {
"anyOf" : [
{
"$ref" : "#/definitions/FloodRiskBufferResult"
},
{
"type" : "null"
}
]
},
"in_flood_risk_zone" : {
"type" : "boolean"
},
"nearest_flood_risk_zone" : {
"anyOf" : [
{
"$ref" : "#/definitions/WalesFloodRiskZone"
},
{
"type" : "null"
}
]
}
},
"required" : [
"annual_flood_risk",
"flood_risk_description",
"in_flood_risk_zone",
"nearest_flood_risk_zone"
],
"type" : "object"
},
"WalesFloodRiskZone" : {
"properties" : {
"distance" : {
"type" : "number"
},
"flood_risk_description" : {
"$ref" : "#/definitions/WalesFloodRiskBand"
},
"max_annual_flood_risk" : {
"type" : [
"null",
"number"
]
},
"min_annual_flood_risk" : {
"type" : [
"null",
"number"
]
},
"nearest_point" : {
"anyOf" : [
{
"$ref" : "#/definitions/WalesFloodRiskNearestPoint"
},
{
"type" : "null"
}
]
}
},
"required" : [
"distance",
"flood_risk_description",
"max_annual_flood_risk",
"min_annual_flood_risk",
"nearest_point"
],
"type" : "object"
}
},
"properties" : {
"elevation" : {
"anyOf" : [
{
"$ref" : "#/definitions/ElevationInfo"
},
{
"type" : "null"
}
]
},
"england" : {
"anyOf" : [
{
"$ref" : "#/definitions/EnglandFloodRiskInfo"
},
{
"type" : "null"
}
]
},
"flood_defences" : {
"anyOf" : [
{
"$ref" : "#/definitions/FloodDefenceRiskReductionInfo"
},
{
"type" : "null"
}
]
},
"location" : {
"$ref" : "#/definitions/FloodRiskLocation"
},
"nearest_coastal_point" : {
"anyOf" : [
{
"$ref" : "#/definitions/CoastalPoint"
},
{
"type" : "null"
}
]
},
"recorded_flood_events" : {
"anyOf" : [
{
"$ref" : "#/definitions/RecordedFloodEventsResult"
},
{
"type" : "null"
}
]
},
"scotland" : {
"anyOf" : [
{
"$ref" : "#/definitions/ScotlandFloodRiskInfo"
},
{
"type" : "null"
}
]
},
"wales" : {
"anyOf" : [
{
"$ref" : "#/definitions/WalesFloodRiskInfo"
},
{
"type" : "null"
}
]
}
},
"required" : [
"elevation",
"england",
"flood_defences",
"location",
"nearest_coastal_point",
"recorded_flood_events",
"scotland",
"wales"
],
"type" : "object"
}
Sources and Attribution
Flood risk information provided by this endpoint is derived from data published by national environmental authorities and other third-party sources, and processed by PropEco to provide property- and location-level assessments.
Full attribution and licensing information
Environment Agency
Risk of Flooding from Rivers and Sea data is provided by the Environment Agency.
© Environment Agency copyright and/or database right 2025. All rights reserved.
Licensed under the Open Government Licence.
Recorded Flood Outlines and flood defence information are also derived from Environment Agency data and are used under the applicable Environment Agency licensing terms.
Natural Resources Wales
Flood risk information for Wales is derived from Natural Resources Wales Flood Risk Assessment Wales data.
Contains Natural Resources Wales information © Natural Resources Wales and database right. All rights reserved.
Some features of this information are based on digital spatial data licensed from the UK Centre for Ecology & Hydrology © UKCEH. Defra, Met Office and DARD Rivers Agency © Crown copyright. © Cranfield University. © James Hutton Institute. Contains OS data © Crown copyright and database right.
Licensed under the Open Government Licence.
Scottish Environment Protection Agency (SEPA)
Flood risk information for Scotland is derived from SEPA Flood Map Version 3.0 products.
©SEPA 2025; this SEPA product is licenced under the Open Government Licence 3.0.
Coastal Flood Maps
Airbus
IR Aerial Photography-©GeoPerspectives.
Digital Terrain/Surface Model- ©GeoPerspectives.
Lidar Digital Terrain Models and Digital Surface Models- ©Infoterra Ltd.
Caledonian Maritime Assets Ltd
Tide gauge data supplied by Caledonian Maritime Assets Ltd.
Centre for Environment, Fisheries and Aquaculture Science
© Crown copyright, 2015.
Environment Agency
© Environment Agency May 2010.
Environment Agency copyright and/or database right 2016. All rights reserved.
This study uses data from Environment Agency provided by the British Oceanographic Data Centre and funded by UKCFF.
© Environment Agency May 2019.
European Marine Energy Centre
Wave buoy data supplied by European Marine Energy Centre Ltd.
Geoinformation Group
© Cities Revealed Lidar copyright, the Geoinformation Group.
Getmapping
© Bluesky International Ltd and Getmapping Plc 2025.
Intermap
Nextmap © Intermap.
Marine Scotland
O'Hara Murray, R., Campbell, L. 2021. East Coast of Lewis and Harris Climatology 1.02. https://doi.org/10.7489/12042-1
Met Office
© Crown copyright 2023, Met Office.
Met Office Hadley Centre
Hadley Centre for Climate Prediction and Research (2017): UKCP09: Land and marine past climate and future scenario projections data for the UK. Centre for Environmental Data Analysis, 2012.
Met Office Hadley Centre (2018): UKCP18 Time-mean Sea Level Projections. Centre for Environmental Data Analysis, 2021.
OceanWise
© British Crown and OceanWise, 2025. All rights reserved. License No. EK001-20140401.
Ordnance Survey
© Crown copyright and database rights 2025 OS PSGA Member Licence.
Scottish Environment Protection Agency
© SEPA (2019).
Scottish Government
Crown Copyright Scottish Government, SEPA and Scottish Water (2012).
Crown Copyright Scottish Government and SEPA (2014).
Scottish Natural Heritage
Scottish Natural Heritage 2015.
UK Hydrographic Office
Tidal data provided by the UKHO has been used under licence. ©Crown Copyright 2021, UKHO and the Keeper of Public Records.
Maps derived from UKHO’s raw VORF data - © Crown Copyright and/or database rights.
Reproduced by permission of the Keeper of Public Records and the UK Hydrographic Office (www.ukho.gov.uk/copyright).
River Flood Maps
Aberdeen Harbour Master
©Aberdeen Harbour Board (2014).
Aberdeenshire Lidar
Aberdeenshire Council, Aberdeen City Council, James Hutton Institute, Scottish Environment Protection Agency (2016).
Airbus
IR Aerial Photography-©GeoPerspectives.
Digital Terrain/Surface Model- ©GeoPerspectives.
Lidar Digital Terrain Models and Digital Surface Models- ©Infoterra Ltd.
UK Centre for Ecology & Hydrology
Some features of this map are based on digital spatial data licensed from the UK Centre for Ecology & Hydrology © UKCEH. Defra, Met Office and Department for Infrastructure © Crown copyright © Cranfield University. © James Hutton Institute. Ordnance Survey data © Crown copyright and database right 2025.
Environment Agency
Environment Agency copyright and/or database right 2016. All rights reserved.
This study uses data from Environment Agency provided by the British Oceanographic Data Centre and funded by UKCFF.
Geoinformation Group
© Cities Revealed Lidar copyright, the Geoinformation Group.
Getmapping
© Bluesky International Ltd and Getmapping Plc 2025.
Intermap
Nextmap © Intermap.
National River Flow Archive
Data from the UK National River Flow Archive.
Ordnance Survey
© Crown copyright and database rights 2025 OS PSGA Member Licence.
Scottish Forestry
Contains Scottish Forestry information licensed under the Open Government Licence v3.0.
Scottish Government
Crown Copyright Scottish Government, SEPA and Scottish Water (2012).
Crown Copyright Scottish Government and SEPA (2014).
Transport Scotland
This information is published under an OGL licence. Some data is derived from information provided by Transport Scotland under an OGL.
UK Hydrographic Office
Tidal data provided by the UKHO has been used under licence. ©Crown Copyright 2021, UKHO and the Keeper of Public Records.
Surface Water & Small Watercourses Flood Maps
Aberdeenshire LiDAR
Aberdeenshire Council, Aberdeen City Council, James Hutton Institute, Scottish Environment Protection Agency (2016).
Airbus
IR Aerial Photography-©GeoPerspectives.
Digital Terrain/Surface Model- ©GeoPerspectives.
Lidar Digital Terrain Models and Digital Surface Models- ©Infoterra Ltd.
Channel Coastal Observatory
Image courtesy of Channel Coastal Observatory.
Environment Agency
© Environment Agency copyright and/or database right 2015. All rights reserved.
Contains public sector information licenced under the Open Government Licence v3.0.
GetMapping
© Bluesky International Ltd and Getmapping Plc (2021).
Glasgow City Council
© Glasgow City Council (2019).
Historic Environment Scotland
This data is Crown Copyright and is reproduced with the permission of Historic Environment Scotland (HES), under delegated authority from The Keeper of Public Records.
www.historicenvironment.scot
All intellectual property rights in this data is owned by Historic Environment Scotland (HES), and is reproduced with the permission of HES, www.historicenvironment.scot.
Met Office Hadley Centre
©